
Redmine - Defect #19884

address column in WHERE clause is ambiguous

2015-05-19 22:21 - Future Link Corporation pkgsrc team

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

See: source:trunk/app/models/user.rb#L133

Easy to reproduce in 3.0.3:

1. Commit to repo;

2. View Repository tab in project;

3. Application throws 500 error;

Click to expand error...Click to expand error...

Started GET "/projects/my_sweet_project/repository" for 127.0.0.1 at 2015-05-19 15:47:25

-0400

Processing by RepositoriesController#show as HTML

Parameters: {"id"=>"my_sweet_project"}

Current user: bofh (id=69)

Mysql2::Error: Column 'address' in where clause is ambiguous: SELECT  DISTINCT `users`.* FROM `users` INNER JOIN

`email_addresses` ON `email_addresses`.`user_id` = `users`.`id` WHERE `users`.`type` IN ('User', 'AnonymousUser') AND (LOWER

IN ('pkgsrc@futurelinkcorporation.com'))  ORDER BY `users`.`id` ASC LIMIT 1

Completed 500 Internal Server Error in 264ms (ActiveRecord: 17.9ms)

ActiveRecord::StatementInvalid (Mysql2::Error: Column 'address' in where clauseis ambiguous: SELECT  DISTINCT `users`.* FROM

`users` INNER JOIN `email_addresses` ON `email_addresses`.`user_id` = `users`.`id` WHERE `users`.`type` IN ('User',

'AnonymousUser') AND (LOWER IN 'pkgsrc@futurelinkcorporation.com'

))  ORDER BY `users`.`id` ASC LIMIT 1):

app/models/user.rb:445:in `find_by_mail'

app/models/repository.rb:324:in `find_committer_user'

app/models/changeset.rb:98:in `before_create_cs'

app/models/repository/git.rb:218:in `save_revision'

app/models/repository/git.rb:207:in `block (2 levels) in save_revisions'

app/models/repository/git.rb:204:in `block in save_revisions'

app/models/repository/git.rb:203:in `each'

app/models/repository/git.rb:203:in `save_revisions'

app/models/repository/git.rb:153:in `fetch_changesets'

app/controllers/repositories_controller.rb:114:in `show'

 Patch attached. Note: I'm not a Ruby programmer. There might be better ways to fix this.

Related issues:

Is duplicate of Redmine - Defect #19485: Column 'address' in where clause may... Closed

History

#1 - 2015-05-20 05:05 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate

2025-05-01 1/2

https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/user.rb#L133
mailto:pkgsrc@futurelinkcorporation.com
mailto:pkgsrc@futurelinkcorporation.com


Duplicate of #19485.

#2 - 2015-05-20 05:05 - Toshi MARUYAMA

- Category deleted (SCM)

#3 - 2015-05-20 05:06 - Toshi MARUYAMA

- Is duplicate of Defect #19485: Column 'address' in where clause may be ambiguous added

Files

patch-app_models_user.rb 465 Bytes 2015-05-19 Future Link Corporation pkgsrc team
